package coupon

import (
	"spaceofcheng/services/models/model"
)

// 优惠券用途
const (
	COUPON_FOR_GOODS  = "goods"
	COUPON_FOR_COURSE = "course"
)

// CouponInfo 优惠券信息
type CouponInfo struct {
	model.TaCoupon `xorm:"extends"`
	Share          *model.TaCouponShare
	Targets        []model.TaCouponTarget
	Images         []model.TaCouponImage
	Rules          []model.TaCouponRule
	ChannelId      string
}

// CaseUsableCoupon 案场可用优惠券信息
type CaseCouponDetail struct {
	model.TaCoupon `xorm:"extends"`
	CustomerCoupon []model.TaCustomerCoupon
	Share          *model.TaCouponShare
}

// CustomerCoupon 用户优惠券
type CustomerCoupon struct {
	model.TaCustomerCoupon `xorm:"extends"`
	Coupon                 *CouponInfo
}
