package goods

import (
	"spaceofcheng/services/models/model"
)

// 商品订单 - 制作状态
const (
	MAKESTATUS_NOTSTARTED = "not started"
	MAKESTATUS_DOING      = "doing"
	MAKESTATUS_FINISHED   = "finished"
	MAKESTATUS_CANCEL     = "cancel"
)

// SpecWithPrice 规格价格
type SpecWithPrice struct {
	model.TdSpec `xorm:"extends"`
	GoodsPrice   string `xorm:"DECIMAL(8,2)"`
}

// GoodsWithSpec 含规格商品
type GoodsWithSpec struct {
	model.TaGoods `xorm:"extends"`
	Specs         []SpecWithPrice
	Images        []model.TaGoodsImg
}

// GoodsWithPrice 含规格商品
type GoodsWithPrice struct {
	model.TaGoods     `xorm:"extends"`
	model.TaGoodsSpec `xorm:"extends"`
}

// DetailWithType 含类型的明细
type DetailWithType struct {
	model.TaGoodsOrdersDetail `xorm:"extends"`
	TypeId                    string
	TypeName                  string
}

// OrdersWithGoods 订单列表
type OrdersWithGoods struct {
	model.TaGoodsOrders `xorm:"extends"`
	CaseName            string
	AreaIcon            string
	AreaIconWhite       string
	Goods               []DetailWithType
}
