package utils

import (
	"github.com/zjxpcyc/websocket"
)

// ClientID 消息对象
type ClientID websocket.ClientID

// Message 发送消息
type Message struct {
	From ClientID    `json:"from"`
	To   ClientID    `json:"to"`
	Data interface{} `json:"data"`
}

// 消息类型
const (
	WsMessage     = "websocket"
	WechatMessage = "wechat"
	SMSMessage    = "sms"
)

// SendWs 发送 websocket
func SendWs(message Message) {
	msg := websocket.Message{
		From: websocket.ClientID(message.From),
		To:   websocket.ClientID(message.To),
		Data: message.Data,
	}

	LogError("发送 Websocket 消息: ", msg)

	websocket.Send(msg)
}

// SendMessage 发送消息
func SendMessage(message Message, msgType string) {
	switch msgType {
	case WsMessage:
		SendWs(message)
	case WechatMessage:
	case SMSMessage:
	default:
	}
}

func init() {
	go websocket.Run()
}
